Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Recruitment
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
      GET
    • Get Passengers
      GET
  • Goals
    • Update KPI
      POST
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Recruitment

Get Candidate

GET
https://api.gofive.co.th/empeo/api/Recruitment/Candidate

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/Recruitment/Candidate?ApplicantNo=C000001&PositionName=Senior%20Backend%20Developer&CareerSite=EmpeoDevTestCompany&RecruitDateStart=2024-01-01&RecruitDateEnd=2024-12-31&PageSize=10&PageIndex=25' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "statusCode": 200,
    "message": "OK",
    "totals": 3,
    "data": [
        {
            "applicantNo": "C230134",
            "applicantName": "TestEmsume",
            "applicantNameEN": "Emsume",
            "applicantSurName": "Emsume",
            "applicantSurNameEN": "Emsume",
            "applicantEmailAddress": "[email protected]",
            "applicantMobileNo": "0989080898",
            "gender": "หญิง",
            "genderEN": "Female",
            "dateOfBirth": "2023-11-02",
            "positionName": "DateChecker",
            "positionNameEN": "DateChecker",
            "siteName": "EmpeoDevTestCompany",
            "siteNameEN": null,
            "statusName": "ปฏิเสธ",
            "statusNameEN": "Rejected",
            "revisionNo": "2",
            "applicantAddress": "Test Address กกแก้วบูรพา บางไทร พระนครศรีอยุธยา 13190",
            "applicantAddressEN": " Kok Kaeo Burapha Bang sai Ayutthaya 13190"
        },
        {
            "applicantNo": "C230133",
            "applicantName": "Admin",
            "applicantNameEN": "admin",
            "applicantSurName": "Tester",
            "applicantSurNameEN": "Tester",
            "applicantEmailAddress": "[email protected]",
            "applicantMobileNo": "0888888888",
            "gender": "หญิง",
            "genderEN": "Female",
            "dateOfBirth": "2023-07-06",
            "positionName": "DateChecker",
            "positionNameEN": "DateChecker",
            "siteName": "EmpeoDevTestCompany",
            "siteNameEN": null,
            "statusName": "รอทำแบบทดสอบ",
            "statusNameEN": "Pending Test",
            "revisionNo": "24",
            "applicantAddress": "Now you see me กกแก้วบูรพา บางไทร พระนครศรีอยุธยา 13190",
            "applicantAddressEN": " Kok Kaeo Burapha Bang sai Ayutthaya 13190"
        },
        {
            "applicantNo": "C230132",
            "applicantName": "TestEmsume",
            "applicantNameEN": "Emsume",
            "applicantSurName": "Emsume",
            "applicantSurNameEN": "Emsume",
            "applicantEmailAddress": "[email protected]",
            "applicantMobileNo": "0989080898",
            "gender": "หญิง",
            "genderEN": "Female",
            "dateOfBirth": "2023-11-02",
            "positionName": "QA",
            "positionNameEN": "QA",
            "siteName": "EmpeoDevTestCompany",
            "siteNameEN": null,
            "statusName": "ใหม่",
            "statusNameEN": "New",
            "revisionNo": "1",
            "applicantAddress": "Test Address กกแก้วบูรพา บางไทร พระนครศรีอยุธยา 13190",
            "applicantAddressEN": " Kok Kaeo Burapha Bang sai Ayutthaya 13190"
        }
    ]
}
🟠401User authentication required V2.
Modified at 2026-06-30 09:06:31
Previous
Get Overtimes
Next
Get Time Attendance
Built with